BARVINOK_EHRHART(1)

NAME
barvinok_ehrhart - compute the Ehrhart quasi-polynomial of a polytope

SYNOPSIS
barvinok_ehrhart [OPTION...]

DESCRIPTION

-s, --series
    compute rational generating function [default: no]

    output conversion

-R, --range-reduction
    [default: no]

-c, --convert
    convert fractionals to periodics [default: no]

-C, --combine
    [default: no]

-f, --floor
    convert fractionals to floorings [default: no]

-l, --list
    [default: no]

-L, --latex
    [default: no]

-I, --to-isl
    [default: no]

--M2
    [default: no]

--lll-reduction-num=long
    LLL reduction parameter numerator

--lll-reduction-den=long
    LLL reduction parameter denominator

--specialization=bf|df|random|todd
    [default: random]

--index=ulong
    maximal index of simple cones in decomposition

--primal
    [default: no]

--table
    [default: no]

--gbr=glpk|cdd|isl
    lp solver to use for basis reduction [default: isl]

--lp=glpk|cdd|cddf|polylib|isl
    lp solver to use [default: isl]

--summation=box|euler|bernoulli|laurent|laurent_old
    [default: laurent]

--chamber-decomposition=polylib|topcom|isl
    tool to use for chamber decomposition [default: polylib]

--integer-hull=gbr|hilbert
    [default: gbr]

--print-stats
    [default: no]

--verbose
    [default: no]

    isl options

--isl-context=gbr|lexmin
    how to handle the pip context tableau [default: gbr]

--isl-gbr=never|once|always
    how often to use generalized basis reduction [default: always]

--isl-closure=isl|box
    closure operation to use [default: isl]

--isl-gbr-only-first
    only perform basis reduction in first direction [default: no]

--isl-bound=bernstein|range
    algorithm to use for computing bounds [default: bernstein]

--isl-on-error=warn|continue|abort
    how to react if an error is detected [default: warn]

--isl-bernstein-recurse=none|factors|intervals|full
    [default: factors]

--no-isl-bernstein-triangulate
    triangulate domains during Bernstein expansion [default: yes]

--no-isl-pip-symmetry
    detect simple symmetries in PIP input [default: yes]

--isl-convex-hull=wrap|fm
    convex hull algorithm to use [default: wrap]

--no-isl-coalesce-bounded-wrapping
    bound wrapping during coalescing [default: yes]

--isl-coalesce-preserve-locals
    preserve local variables during coalescing [default: no]

--isl-schedule-max-coefficient=<limit>
    Only consider schedules where the coefficients of the variable and parameter dimensions do not exceed <limit>. A value of -1 allows arbitrary coefficients. [default: -1]

--isl-schedule-max-constant-term=<limit>
    Only consider schedules where the coefficients of the constant dimension do not exceed <limit>. A value of -1 allows arbitrary coefficients. [default: -1]

--no-isl-schedule-parametric
    construct possibly parametric schedules [default: yes]

--isl-schedule-outer-coincidence
    try to construct schedules where the outer member of each band satisfies the coincidence constraints [default: no]

--isl-schedule-maximize-band-depth
    maximize the number of scheduling dimensions in a band [default: no]

--isl-schedule-maximize-coincidence
    maximize the number of coincident dimensions in a band [default: no]

--no-isl-schedule-split-scaled
    split non-tilable bands with scaled schedules [default: yes]

--no-isl-schedule-treat-coalescing
    try and prevent or adjust schedules that perform loop coalescing [default: yes]

--no-isl-schedule-separate-components
    separate components in dependence graph [default: yes]

--isl-schedule-whole-component
    try and compute schedule for entire component first [default: no]

--isl-schedule-algorithm=isl|feautrier
    scheduling algorithm to use [default: isl]

--no-isl-schedule-carry-self-first
    try and carry self-dependences first [default: yes]

--isl-schedule-serialize-sccs
    serialize strongly connected components in dependence graph [default: no]

--no-isl-tile-scale-tile-loops
    scale tile loops [default: yes]

--no-isl-tile-shift-point-loops
    shift point loops to start at zero [default: yes]

--isl-ast-iterator-type=<type>
    type used for iterators during printing of AST [default: int]

--isl-ast-always-print-block
    print for and if bodies as a block regardless of the number of statements in the body [default: no]

--no-isl-ast-print-outermost-block
    print outermost block node as a block [default: yes]

--isl-ast-print-macro-once
    only print macro definitions once [default: no]

--no-isl-ast-build-atomic-upper-bound
    generate atomic upper bounds [default: yes]

--no-isl-ast-build-prefer-pdiv
    prefer pdiv operation over fdiv [default: yes]

--isl-ast-build-detect-min-max
    detect min/max expressions [default: no]

--no-isl-ast-build-exploit-nested-bounds
    simplify conditions based on bounds of nested for loops [default: yes]

--isl-ast-build-group-coscheduled
    keep coscheduled domain elements together [default: no]

--isl-ast-build-separation-bounds=explicit|implicit
    bounds to use during separation [default: explicit]

--no-isl-ast-build-scale-strides
    allow iterators of strided loops to be scaled down [default: yes]

--no-isl-ast-build-allow-else
    generate if statements with else branches [default: yes]

--no-isl-ast-build-allow-or
    generate if conditions with disjunctions [default: yes]

--isl-print-stats
    print statistics for every isl_ctx [default: no]

--isl-max-operations=ulong
    default number of maximal operations per isl_ctx

    polynomial approximation

--polynomial-approximation=lower|upper
    [default: none]

--approximation-method=drop|scale|volume|bernoulli
    method to use in polynomial approximation [default: none]

--scale-options=fast|slow,narrow|narrow2,chamber
    [default: slow]

--volume-triangulation=lift|vertex|barycenter
    type of triangulation to perform in volume computation [default: vertex]

-V, --version

-h, --help
    print this help, then exit